<!--
* Este es nuestro componente navabar el cual estara como el header en las 
* diferentes interfaces y tendra el buscador
* @author Cristian Camilo Diaz <cristian.camilo0614@gmail.com>
* @version 2020-11-04
-->

<nav class="navbar navbar-expand-sm ">
    <a class="navbar-brand" routerLink="/home">HARRY POTTERS App</a>


    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
            </li>


        </ul>
    </div>
    <div class="d-flex">
        <input #txtBuscar (keyup.enter)="searchCharacter( txtBuscar.value )" class="form-control mr-2" type="search" placeholder="Search.." aria-label="Search">

        <button (click)="searchCharacter( txtBuscar.value )" class="btn btn-outline-success" type="button">Buscar</button>
    </div>

</nav>